Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::string Class Reference
Inheritance diagram for Alembic::Util::ALEMBIC_VERSION_NS::string:
[legend]

## Detailed Description

Last, but not least, standard strings. These are CLEARLY not "Plain Old Data Types", however, "strings" are such ubiquitous components of programming, and without an enclosing structure like std::string, they're so difficult to use from an API point of view (call first time to find out length! allocate your own array! call second time to get string value!), that I'm going to put my foot down and say - from Alembic's point of view, std::string and std::wstring are "Kinda Sorta POD types". Please pardon the abuse of the idiom.

The documentation for this class was generated from the following file:

- Util/Exception.h